---
title: VREyeParameters
slug: Web/API/VREyeParameters
tags:
  - API
  - Experimental
  - Landing
  - Reference
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>VREyeParameters</code></strong> interface of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> represents all the information required to correctly render a scene for a given eye, including field of view information.</p>

<p>This interface is accessible through the {{domxref("VRDisplay.getEyeParameters()")}} method.</p>

<div class="warning">
<p>The values in this interface should not be used to compute view or projection matrices. In order to ensure the widest possible hardware compatibility use the matrices provided by {{domxref("VRFrameData")}}.</p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("VREyeParameters.offset")}} {{deprecated_inline()}} {{readonlyInline}}</dt>
	<dd><dfn>Represents the o</dfn>ffset from the center point between the user's eyes to the center of the eye, measured in meters.</dd>
	<dt>{{domxref("VREyeParameters.fieldOfView")}}  {{deprecated_inline()}} {{readonlyInline}}</dt>
	<dd><dfn>Describes t</dfn>he current field of view for the eye, which can vary as the user adjusts their interpupillary distance (IPD).</dd>
	<dt>{{domxref("VREyeParameters.renderWidth")}} {{readonlyInline}}</dt>
	<dd>Describes the recommended render target width of each eye viewport, in pixels.</dd>
	<dt>{{domxref("VREyeParameters.renderHeight")}} {{readonlyInline}}</dt>
	<dd>Describes the recommended render target height of each eye viewport, in pixels.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">navigator.getVRDisplays().then(function(displays) {
  // If a display is available, use it to present the scene
  vrDisplay = displays[0];
  console.log('Display found');
  // Starting the presentation when the button is clicked:
  //   It can only be called in response to a user gesture
  btn.addEventListener('click', function() {
    vrDisplay.requestPresent([{ source: canvas }]).then(function() {
      console.log('Presenting to WebVR display');

      // Set the canvas size to the size of the vrDisplay viewport

      var leftEye = vrDisplay.getEyeParameters('left');
      var rightEye = vrDisplay.getEyeParameters('right');

      canvas.width = Math.max(leftEye.renderWidth, rightEye.renderWidth) * 2;
      canvas.height = Math.max(leftEye.renderHeight, rightEye.renderHeight);

      drawVRScene();
    });
  });
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('WebVR 1.1', '#vreyeparameters', 'VREyeParameters')}}</td>
			<td>{{Spec2('WebVR 1.1')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
	<li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
